> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# Block specific RAT types

POST https://iot.telia.lt/api/v2/tariff_profile/{tariff_profile_id}/operator_blocklist/operator/{operator_id}/rat_type
Content-Type: application/json

Add a specific operator to the blocklist of a given tariff profile.
If the operator is already blocked completely, it is still possible to block specific RAT types.


Reference: https://docs.iot.telia.lt/developers/api/tariff-profiles/tariff-profile-operator-block-operator-by-id-rat-type-post

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Request

### Path parameters

- `tariff_profile_id` (double, required) — tariff profile ID
- `operator_id` (double, required) — operator ID

### Body (application/json)

This endpoint expects an object.

- `rat_types` (list of ApiV2TariffProfileTariffProfileIdOperatorBlocklistOperatorOperatorIdRatTypePostRequestBodyContentApplicationJsonSchemaRatTypesItems, required)

## Response

### 204

No Content - The specific RAT types have been successfully blocked.

## Errors

### 403 Forbidden Error

Your role doesn't include the permission this endpoint requires. Most endpoints return `error_code`, `error_token`, and `message`. Some return only `status_code` and `message`.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `status_code` (integer, optional)
- `message` (string, optional)

## Types

### ApiV2TariffProfileTariffProfileIdOperatorBlocklistOperatorOperatorIdRatTypePostRequestBodyContentApplicationJsonSchemaRatTypesItems

- `id` (integer, optional)

## Examples

**Request**

```json
{
  "rat_types": [
    {
      "id": 1
    },
    {
      "id": 2
    }
  ]
}
```

**SDK Code**

```python Tariff profiles_TariffProfileOperatorBlockOperatorByIDRatTypePost_example
import requests

url = "https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1/rat_type"

payload = { "rat_types": [{ "id": 1 }, { "id": 2 }] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Tariff profiles_TariffProfileOperatorBlockOperatorByIDRatTypePost_example
const url = 'https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1/rat_type';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"rat_types":[{"id":1},{"id":2}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Tariff profiles_TariffProfileOperatorBlockOperatorByIDRatTypePost_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1/rat_type"

	payload := strings.NewReader("{\n  \"rat_types\": [\n    {\n      \"id\": 1\n    },\n    {\n      \"id\": 2\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Tariff profiles_TariffProfileOperatorBlockOperatorByIDRatTypePost_example
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1/rat_type")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"rat_types\": [\n    {\n      \"id\": 1\n    },\n    {\n      \"id\": 2\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Tariff profiles_TariffProfileOperatorBlockOperatorByIDRatTypePost_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1/rat_type")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"rat_types\": [\n    {\n      \"id\": 1\n    },\n    {\n      \"id\": 2\n    }\n  ]\n}")
  .asString();
```

```php Tariff profiles_TariffProfileOperatorBlockOperatorByIDRatTypePost_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1/rat_type', [
  'body' => '{
  "rat_types": [
    {
      "id": 1
    },
    {
      "id": 2
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Tariff profiles_TariffProfileOperatorBlockOperatorByIDRatTypePost_example
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1/rat_type");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"rat_types\": [\n    {\n      \"id\": 1\n    },\n    {\n      \"id\": 2\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Tariff profiles_TariffProfileOperatorBlockOperatorByIDRatTypePost_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["rat_types": [["id": 1], ["id": 2]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1/rat_type")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```